NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.ReusePositioningObjectBuilder Class Reference

Represents a NXOpen.Tooling.ReusePositioningObjectBuilder More...

Inheritance diagram for NXOpen.Tooling.ReusePositioningObjectBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurveExtendToFace { None, Boundary }
 extend to face edges type enum. More...
 
enum  CurveTrim { None, WithinSection }
 trim to each other within section type enum. More...
 
enum  DialogOptions {
  FromToolbar, FromDialog, ImportPart, ToolingTemplate,
  FromExpression, ReusableObject
}
 the dialog layout options More...
 
enum  SubTypes {
  PlanarPatternLinear, PlanarPatternCircular, EditSketch, NonPlanarPattern,
  NonPlanarGeneral
}
 the positioning sub types More...
 
enum  Types {
  PatternLinear, PatternCircular, ImportedData, EditSketch,
  EditMode = 9, QuickCsys = 7, OffsetCsysPattern, PlanarPattern = 4,
  NonPlanarPattern, CurvePattern
}
 the positioning types More...
 

Public Member Functions

unsafe void AddNewPoint (NXOpen.Point3d pointCoords)
 Add new point coordinates More...
 
unsafe NXOpen.Point AddPoint (NXOpen.Point3d pointCoords)
 Create a point, then add it to sketch More...
 
unsafe NXOpen.Point AddPointOnNonPlanar (NXOpen.Point3d pointCoords)
 Create a point on the non-planar face/curve More...
 
unsafe void AddPoints ()
 Adds points to sketch More...
 
unsafe void CreateCsysOnNonPlanar ()
 Creates datum csys pattern on non planar face/curve More...
 
unsafe NXOpen.Features.Feature CreateOffsetCsysFromSeed ()
 Create offset CSYS from seed CSYS More...
 
unsafe void CreatePointInSketch ()
 Creates point pattern in sketch More...
 
unsafe void CreateSketch (NXOpen.NXObject dropFace, NXOpen.Point3d position)
 Creates new sketch on drop face and location More...
 
unsafe void DeletePoint (NXOpen.Point point)
 Delete point from sketch More...
 
unsafe void DeletePointCoordinates (int type, NXOpen.Point3d[] pointCoords)
 Delete point coordinates from sketch More...
 
unsafe void DeselectNonPlanarObject (NXOpen.NXObject[] delselectedObjs)
 Deselected the edge or non planar face More...
 
unsafe void EditPoint (NXOpen.Point point, double value, bool isXValue)
 Edits point from sketch More...
 
unsafe void EditPoint (NXOpen.Point point, double xvalue, double yvalue)
 Edits point from sketch More...
 
unsafe void EditPointCoordinates (int type, NXOpen.Point3d oldPoint, NXOpen.Point3d newPoint)
 Edit a point coordinates More...
 
unsafe NXOpen.Point EditPointOnPlanar (NXOpen.Point point, double value, bool isUValue)
 Edits point on the planar face/curve More...
 
unsafe NXOpen.Point EditPointOnPlanar (NXOpen.Point point, double uValue, double vValue)
 Edits point on the planar face/curve More...
 
unsafe void ExtendCurve (bool extendToFaceEdges)
 Extend curve status accroding to the extend option More...
 
unsafe void ExtendCurveFaceEdges (bool extendToFaceEdges)
 Extend curve status accroding to the extend option More...
 
unsafe NXOpen.CoordinateSystem FindSeedCsysFromPattern (NXOpen.NXObject csysPattern)
 Find the seed CSYS tag from pattern More...
 
unsafe void FlipCurveDirection ()
 Flip offset curve direction More...
 
unsafe void FlipOffsetCurveDirection ()
 Flip offset curve direction More...
 
unsafe void FreeOcfApplicationData ()
 Free OCF applicaion data More...
 
unsafe void GetAllDatumCsys (out NXOpen.CoordinateSystem[] datumCsys)
 Gets all the datum CSYS tag More...
 
unsafe void GetCsysFromFeatureSet ()
 Get all CSYS tags from positioning feature set More...
 
unsafe bool GetFeatureSetAttributes ()
 Gets attributes from feature set More...
 
unsafe bool GetNonStandardPoints (out NXOpen.Point3d[] points)
 Gets the point coordinates More...
 
unsafe NXOpen.NXObject GetOffsetCsysPattern ()
 Get the offset datum CSYS pattern More...
 
unsafe void GetSketchFromFeatureSet ()
 Gets sketch tag from feature set More...
 
unsafe void InitializeWcsLocation (bool saveOldCsys)
 Initialize the origin and orientation of WCS More...
 
unsafe void LoadPart (string partFileName)
 Imports given part file to current work part More...
 
unsafe void NonPlanarDeselect (NXOpen.NXObject[] delselectedObjs)
 Deselected the edge or non planar face More...
 
unsafe void OffsetCurveOnFace (string offsetValue)
 Offset curve on the face More...
 
unsafe void OffsetDistance (string offsetValue)
 Offset curve on the face More...
 
unsafe void RepositionBody (NXOpen.Point3d target, NXOpen.Matrix3x3 orient, bool twoPickPositionMode, bool onlyMovePoints)
 Moves the body to the selected point and orientation More...
 
unsafe void RepositionSketchPoints (NXOpen.Point3d target, NXOpen.Matrix3x3 orient)
 Reposition all sketch points More...
 
unsafe void SelectBaseFace (NXOpen.ScCollector collTag)
 Select the base face for the curve More...
 
unsafe void SetAllPointCoordinates ()
 Evaluate the points coordinates in sketch More...
 
unsafe void SetBaseFaceForSection (NXOpen.ScCollector collTag)
 Set base face for section More...
 
unsafe void SetExtendToFaceEdgesOption (NXOpen.Tooling.ReusePositioningObjectBuilder.CurveExtendToFace extendToFaceEdges)
 Sets the extend option for curve operation. More...
 
unsafe void SetNonStandardPoints (NXOpen.Point3d[] points, bool isAbsolute)
 Set the point coordinates More...
 
unsafe void SetPointsInSketch ()
 Sets points in sketch More...
 
unsafe void SetSelectedCurveCollector (NXOpen.Section section)
 Sets the selected curve for non planar face More...
 
unsafe void SetSketchActive (NXOpen.Sketch sketch)
 Sets the sketch to be active More...
 
unsafe void SetTrimToFaceEdgesOption (bool trimToFaceEdges)
 Sets the trim option for curve option. More...
 
unsafe void SyncSectionData (NXOpen.Section section)
 Sync section data for curve type More...
 
unsafe void TrimCurve (bool trimToFaceEdges)
 Trim curve status accroding to the trim option More...
 
unsafe void TrimCurveFaceEdges (bool trimToFaceEdges)
 Trim curve status accroding to the trim option More...
 
unsafe void UpdateDatumCsysByType ()
 Update datum CSYS when switch the type More...
 
unsafe void UpdateQuickCsysPattern ()
 Update quick CSYS pattern More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe string Angle [get, set]
 Returns or sets the angle value of pattern More...
 
unsafe string ColumnNumber [get, set]
 Returns or sets the column number of pattern More...
 
unsafe string CurvePercentage [get, set]
 Returns or sets the percentage value of curve More...
 
unsafe string DataFile [get, set]
 Returns or sets the imported data file name More...
 
unsafe
NXOpen.Tooling.ReusePositioningObjectBuilder.DialogOptions 
DialogOption [get, set]
 Returns or sets the dialog option type that is from toolbar or others More...
 
unsafe bool Distribution [get, set]
 Returns or sets the distribution mode of pattern point More...
 
unsafe NXOpen.NXObject DropObject [get, set]
 Returns or sets the drop face required for reattach sketch when using one-pick position method More...
 
unsafe NXOpen.Matrix3x3 DynamicCsysOrientation [get, set]
 Returns or sets the orientation of dynamic csys More...
 
unsafe NXOpen.Point3d DynamicCsysOrigin [get, set]
 Returns or sets the origin of dynamic csys More...
 
unsafe NXOpen.Features.Feature EditFeatureGroup [get, set]
 Returns or sets the feature group created after reuse paste More...
 
unsafe string EndingUValue [get, set]
 Returns or sets the end U value of non planar face pattern More...
 
unsafe string EndingVValue [get, set]
 Returns or sets the end V value of non planar face pattern More...
 
unsafe
NXOpen.Tooling.ReusePositioningObjectBuilder.CurveExtendToFace 
ExtendToFaceEdgesOption [get]
 Returns the extend option for curve operation. More...
 
unsafe NXOpen.Sketch ImportedSketch [get, set]
 Returns or sets the imported sketch More...
 
unsafe NXOpen.Point3d InitialPasteLocation [get, set]
 Returns or sets the initial paste location. More...
 
unsafe string Length [get, set]
 Returns or sets the length value of pattern More...
 
unsafe string LibraryName [get, set]
 Returns or sets the library name that is used for the positioning object More...
 
unsafe NXOpen.ScCollector MultipleFaceCollector [get, set]
 Returns or sets the multiple face for non planar face More...
 
unsafe NXOpen.Point NewPoint [get, set]
 Returns or sets the new added point More...
 
unsafe NXOpen.CoordinateSystem OffsetCsysFromQuick [get, set]
 Returns or sets the offset datum CSYS from quick csys More...
 
unsafe NXOpen.Features.Feature OffsetDatumCsys [get, set]
 Returns or sets the offset datum CSYS More...
 
unsafe string OffsetValue [get, set]
 Returns or sets the offset value of pattern More...
 
unsafe
NXOpen.Tooling.QuickDatumCsysBuilder 
QuickCsysData [get, set]
 Returns or sets the quick CSYS data More...
 
unsafe NXOpen.NXObject ReferenceCsysPattern [get, set]
 Returns or sets the referenced CSYS pattern More...
 
unsafe string RowNumber [get, set]
 Returns or sets the row number of pattern More...
 
unsafe NXOpen.CoordinateSystem SeedDatumCsys [get, set]
 Returns or sets the seed datum CSYS More...
 
unsafe bool SelectedCurve [get, set]
 Returns or sets the flag of the selected curve More...
 
unsafe NXOpen.Section SelectedCurveCollector [get]
 Returns the selected curve for non planar face More...
 
unsafe bool SelectedNonPlanarFace [get, set]
 Returns or sets the flag of the selected non-planar face More...
 
unsafe NXOpen.Section SketchPoint [get]
 Returns the part sketch point section More...
 
unsafe string StartingUValue [get, set]
 Returns or sets the start U value of non planar face pattern More...
 
unsafe string StartingVValue [get, set]
 Returns or sets the start V value of non planar face pattern More...
 
unsafe
NXOpen.Tooling.ReusePositioningObjectBuilder.SubTypes 
SubType [get, set]
 Returns or sets the positioning object sub type that is from pattern or imported data More...
 
unsafe bool TrimToFaceEdgesOption [get]
 Returns the trim option for curve option. More...
 
unsafe
NXOpen.Tooling.ReusePositioningObjectBuilder.Types 
Type [get, set]
 Returns or sets the positioning object type that is from pattern or imported data More...
 
unsafe bool UpdatedParameter [get, set]
 Returns or sets the flag of updated parameter for non-planar curve More...
 
unsafe string UPercentage [get, set]
 Returns or sets the u percentage of non planar face pattern More...
 
unsafe bool UseFaceCenterAsLocation [get, set]
 Returns or sets an option that indicates whether to use face center as location More...
 
unsafe bool UseOnePickPositionMethod [get, set]
 Returns or sets the option specifying whether to use one-pick position method for drag/drop More...
 
unsafe bool UseProjectPoint [get, set]
 Returns or sets an option that indicates whether to use project point if associative point is not in the same plane as sketch More...
 
unsafe string VPercentage [get, set]
 Returns or sets the v percentage of non planar face pattern More...
 
unsafe string Width [get, set]
 Returns or sets the width value of pattern More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.ReusePositioningObjectBuilder

Use the NXOpen.Tooling.ReusableObjectManager class to create a ReusePositioningObjectBuilder.

Created in NX11.0.0

Member Enumeration Documentation

extend to face edges type enum.

Enumerator
None 

no extentsion

Boundary 

extend till face boundary

trim to each other within section type enum.

Enumerator
None 

no trimming

WithinSection 

allow trimming

the dialog layout options

Enumerator
FromToolbar 

dialog from toolbar

FromDialog 

called by other dialog

ImportPart 

import template part

ToolingTemplate 

tooling template part

FromExpression 

dialog from expression

ReusableObject 

dialog from reusable object

the positioning sub types

Enumerator
PlanarPatternLinear 

linear type

PlanarPatternCircular 

circular type

EditSketch 

general type

NonPlanarPattern 

edit sketch type

NonPlanarGeneral 

general type

the positioning types

Enumerator
PatternLinear 

linear type

PatternCircular 

circular type

ImportedData 

imported data type

EditSketch 

edit sketch type

EditMode 

dialog edit mode

QuickCsys 

quick datum csys mode

OffsetCsysPattern 

offset csys pattern mode

PlanarPattern 

planar type

NonPlanarPattern 

non planar type

CurvePattern 

non planar curve type

Member Function Documentation

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.AddNewPoint ( NXOpen.Point3d  pointCoords)
inline

Add new point coordinates

Created in NX1847.0.0

License requirements: None.

Parameters
pointCoordspoint coordinates
unsafe NXOpen.Point NXOpen.Tooling.ReusePositioningObjectBuilder.AddPoint ( NXOpen.Point3d  pointCoords)
inline

Create a point, then add it to sketch

Created in NX11.0.0

License requirements: None.

Parameters
pointCoordspoint coordinates
Returns
point tag
unsafe NXOpen.Point NXOpen.Tooling.ReusePositioningObjectBuilder.AddPointOnNonPlanar ( NXOpen.Point3d  pointCoords)
inline

Create a point on the non-planar face/curve

Created in NX12.0.0

License requirements: None.

Parameters
pointCoordspoint coordinates
Returns
point tag
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.AddPoints ( )
inline

Adds points to sketch

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.CreateCsysOnNonPlanar ( )
inline

Creates datum csys pattern on non planar face/curve

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Features.Feature NXOpen.Tooling.ReusePositioningObjectBuilder.CreateOffsetCsysFromSeed ( )
inline

Create offset CSYS from seed CSYS

Created in NX12.0.0

License requirements: None.

Returns
Offset csys feature tag
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.CreatePointInSketch ( )
inline

Creates point pattern in sketch

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.CreateSketch ( NXOpen.NXObject  dropFace,
NXOpen.Point3d  position 
)
inline

Creates new sketch on drop face and location

Created in NX11.0.0

License requirements: None.

Parameters
dropFacetag of drop face of point
positionDestination point
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.DeletePoint ( NXOpen.Point  point)
inline

Delete point from sketch

Created in NX11.0.0

License requirements: None.

Parameters
pointtag of delete point
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.DeletePointCoordinates ( int  type,
NXOpen.Point3d[]  pointCoords 
)
inline

Delete point coordinates from sketch

Created in NX1847.0.0

License requirements: None.

Parameters
type
pointCoords
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.DeselectNonPlanarObject ( NXOpen.NXObject[]  delselectedObjs)
inline

Deselected the edge or non planar face

Created in NX12.0.0

License requirements: None.

Parameters
delselectedObjsEdge or non planar face
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.EditPoint ( NXOpen.Point  point,
double  value,
bool  isXValue 
)
inline

Edits point from sketch

Created in NX11.0.0

License requirements: None.

Parameters
pointtag of delete point
valuevalue point coordinates
isXValueis the value x or y coordinate
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.EditPoint ( NXOpen.Point  point,
double  xvalue,
double  yvalue 
)
inline

Edits point from sketch

Created in NX11.0.0

License requirements: None.

Parameters
pointtag of delete point
xvaluevalue point x coordinates
yvaluevalue point y coordinates
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.EditPointCoordinates ( int  type,
NXOpen.Point3d  oldPoint,
NXOpen.Point3d  newPoint 
)
inline

Edit a point coordinates

Created in NX1847.0.0

License requirements: None.

Parameters
type
oldPointold point coordinates
newPointnew point coordinates
unsafe NXOpen.Point NXOpen.Tooling.ReusePositioningObjectBuilder.EditPointOnPlanar ( NXOpen.Point  point,
double  value,
bool  isUValue 
)
inline

Edits point on the planar face/curve

Created in NX12.0.0

License requirements: None.

Parameters
pointtag of delete point
valuevalue point U,V or percentage on the curve
isUValueis the value U or V, or percentage on the curve
Returns
point tag
unsafe NXOpen.Point NXOpen.Tooling.ReusePositioningObjectBuilder.EditPointOnPlanar ( NXOpen.Point  point,
double  uValue,
double  vValue 
)
inline

Edits point on the planar face/curve

Created in NX11.0.0

License requirements: None.

Parameters
pointtag of delete point
uValuevalue point U,V or percentage on the curve
vValuevalue point U,V or percentage on the curve
Returns
point tag
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.ExtendCurve ( bool  extendToFaceEdges)
inline

Extend curve status accroding to the extend option

Created in NX1847.0.0

License requirements: None.

Parameters
extendToFaceEdgesWhether the update the curve face edges when extend option turn on/off
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.ExtendCurveFaceEdges ( bool  extendToFaceEdges)
inline

Extend curve status accroding to the extend option

Created in NX12.0.0

License requirements: None.

Parameters
extendToFaceEdgesWhether the update the curve face edges when extend option turn on/off
unsafe NXOpen.CoordinateSystem NXOpen.Tooling.ReusePositioningObjectBuilder.FindSeedCsysFromPattern ( NXOpen.NXObject  csysPattern)
inline

Find the seed CSYS tag from pattern

Created in NX12.0.0

License requirements: None.

Parameters
csysPatternSelected csys pattern tag
Returns
Seed csys tag
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.FlipCurveDirection ( )
inline

Flip offset curve direction

Created in NX1847.0.0

License requirements: None.

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.FlipOffsetCurveDirection ( )
inline

Flip offset curve direction

Created in NX12.0.0

License requirements: None.

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.FreeOcfApplicationData ( )
inline

Free OCF applicaion data

Created in NX12.0.0

License requirements: None.

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.GetAllDatumCsys ( out NXOpen.CoordinateSystem[]  datumCsys)
inline

Gets all the datum CSYS tag

Created in NX12.0.0

License requirements: None.

Parameters
datumCsyscsys tags
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.GetCsysFromFeatureSet ( )
inline

Get all CSYS tags from positioning feature set

Created in NX12.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.GetFeatureSetAttributes ( )
inline

Gets attributes from feature set

Created in NX11.0.0

License requirements: None.

Returns
unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.GetNonStandardPoints ( out NXOpen.Point3d[]  points)
inline

Gets the point coordinates

Created in NX11.0.0

License requirements: None.

Parameters
points
Returns
unsafe NXOpen.NXObject NXOpen.Tooling.ReusePositioningObjectBuilder.GetOffsetCsysPattern ( )
inline

Get the offset datum CSYS pattern

Created in NX12.0.0

License requirements: None.

Returns
Offset CSYS pattern from quick csys mode
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.GetSketchFromFeatureSet ( )
inline

Gets sketch tag from feature set

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.InitializeWcsLocation ( bool  saveOldCsys)
inline

Initialize the origin and orientation of WCS

Created in NX1847.0.0

License requirements: None.

Parameters
saveOldCsys
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.LoadPart ( string  partFileName)
inline

Imports given part file to current work part

Created in NX11.0.0

License requirements: None.

Parameters
partFileNamePart file name without path
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.NonPlanarDeselect ( NXOpen.NXObject[]  delselectedObjs)
inline

Deselected the edge or non planar face

Created in NX1847.0.0

License requirements: None.

Parameters
delselectedObjsEdge or non planar face
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.OffsetCurveOnFace ( string  offsetValue)
inline

Offset curve on the face

Created in NX12.0.0

License requirements: None.

Parameters
offsetValueoffset value
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.OffsetDistance ( string  offsetValue)
inline

Offset curve on the face

Created in NX1847.0.0

License requirements: None.

Parameters
offsetValueoffset value
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.RepositionBody ( NXOpen.Point3d  target,
NXOpen.Matrix3x3  orient,
bool  twoPickPositionMode,
bool  onlyMovePoints 
)
inline

Moves the body to the selected point and orientation

Created in NX11.0.0

License requirements: None.

Parameters
targetDestination point
orientOrientation
twoPickPositionModeFlag specifying whether to reposition the body based on active sketch plane when using two pick position method to drop the body. If True, reposition the body, else, do nothing.
onlyMovePointsFlag specifying whether to move the whole sketch or just the sketch points. If True, reposition the sketch points, else, reposition the whole sketch.
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.RepositionSketchPoints ( NXOpen.Point3d  target,
NXOpen.Matrix3x3  orient 
)
inline

Reposition all sketch points

Created in NX1847.0.0

License requirements: None.

Parameters
targettarget origin
orienttarget orient
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SelectBaseFace ( NXOpen.ScCollector  collTag)
inline

Select the base face for the curve

Created in NX1847.0.0

License requirements: None.

Parameters
collTagBase face collector tag
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SetAllPointCoordinates ( )
inline

Evaluate the points coordinates in sketch

Created in NX1847.0.0

License requirements: None.

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SetBaseFaceForSection ( NXOpen.ScCollector  collTag)
inline

Set base face for section

Created in NX12.0.0

License requirements: None.

Parameters
collTagBase face collector tag
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SetExtendToFaceEdgesOption ( NXOpen.Tooling.ReusePositioningObjectBuilder.CurveExtendToFace  extendToFaceEdges)
inline

Sets the extend option for curve operation.

Created in NX12.0.0

License requirements: None.

Parameters
extendToFaceEdges
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SetNonStandardPoints ( NXOpen.Point3d[]  points,
bool  isAbsolute 
)
inline

Set the point coordinates

Created in NX11.0.0

License requirements: None.

Parameters
points
isAbsoluteFlag indicating whether the points is absolute or not
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SetPointsInSketch ( )
inline

Sets points in sketch

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SetSelectedCurveCollector ( NXOpen.Section  section)
inline

Sets the selected curve for non planar face

Created in NX12.0.0

License requirements: None.

Parameters
sectionthe selected curve section tag
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SetSketchActive ( NXOpen.Sketch  sketch)
inline

Sets the sketch to be active

Created in NX11.0.0

License requirements: None.

Parameters
sketch
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SetTrimToFaceEdgesOption ( bool  trimToFaceEdges)
inline

Sets the trim option for curve option.

Created in NX12.0.0

License requirements: None.

Parameters
trimToFaceEdges
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.SyncSectionData ( NXOpen.Section  section)
inline

Sync section data for curve type

Created in NX1847.0.0

License requirements: None.

Parameters
sectionthe selected curve section tag
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.TrimCurve ( bool  trimToFaceEdges)
inline

Trim curve status accroding to the trim option

Created in NX1847.0.0

License requirements: None.

Parameters
trimToFaceEdgesWhether the update the curve face edges when trim option turn on/off
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.TrimCurveFaceEdges ( bool  trimToFaceEdges)
inline

Trim curve status accroding to the trim option

Created in NX12.0.0

License requirements: None.

Parameters
trimToFaceEdgesWhether the update the curve face edges when trim option turn on/off
unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.UpdateDatumCsysByType ( )
inline

Update datum CSYS when switch the type

Created in NX12.0.0

License requirements: None.

unsafe void NXOpen.Tooling.ReusePositioningObjectBuilder.UpdateQuickCsysPattern ( )
inline

Update quick CSYS pattern

Created in NX12.0.0

License requirements: None.

Property Documentation

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.Angle
getset

Returns or sets the angle value of pattern

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.ColumnNumber
getset

Returns or sets the column number of pattern

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.CurvePercentage
getset

Returns or sets the percentage value of curve

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.DataFile
getset

Returns or sets the imported data file name

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.ReusePositioningObjectBuilder.DialogOptions NXOpen.Tooling.ReusePositioningObjectBuilder.DialogOption
getset

Returns or sets the dialog option type that is from toolbar or others

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.Distribution
getset

Returns or sets the distribution mode of pattern point

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.NXObject NXOpen.Tooling.ReusePositioningObjectBuilder.DropObject
getset

Returns or sets the drop face required for reattach sketch when using one-pick position method

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Matrix3x3 NXOpen.Tooling.ReusePositioningObjectBuilder.DynamicCsysOrientation
getset

Returns or sets the orientation of dynamic csys

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point3d NXOpen.Tooling.ReusePositioningObjectBuilder.DynamicCsysOrigin
getset

Returns or sets the origin of dynamic csys

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Features.Feature NXOpen.Tooling.ReusePositioningObjectBuilder.EditFeatureGroup
getset

Returns or sets the feature group created after reuse paste

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.EndingUValue
getset

Returns or sets the end U value of non planar face pattern

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.EndingVValue
getset

Returns or sets the end V value of non planar face pattern

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.ReusePositioningObjectBuilder.CurveExtendToFace NXOpen.Tooling.ReusePositioningObjectBuilder.ExtendToFaceEdgesOption
get

Returns the extend option for curve operation.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Sketch NXOpen.Tooling.ReusePositioningObjectBuilder.ImportedSketch
getset

Returns or sets the imported sketch

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point3d NXOpen.Tooling.ReusePositioningObjectBuilder.InitialPasteLocation
getset

Returns or sets the initial paste location.

This is mainly used to define default paste location of sketch objects

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.Length
getset

Returns or sets the length value of pattern

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.LibraryName
getset

Returns or sets the library name that is used for the positioning object

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.ReusePositioningObjectBuilder.MultipleFaceCollector
getset

Returns or sets the multiple face for non planar face

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.Tooling.ReusePositioningObjectBuilder.NewPoint
getset

Returns or sets the new added point

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.CoordinateSystem NXOpen.Tooling.ReusePositioningObjectBuilder.OffsetCsysFromQuick
getset

Returns or sets the offset datum CSYS from quick csys

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Features.Feature NXOpen.Tooling.ReusePositioningObjectBuilder.OffsetDatumCsys
getset

Returns or sets the offset datum CSYS

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.OffsetValue
getset

Returns or sets the offset value of pattern

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.QuickDatumCsysBuilder NXOpen.Tooling.ReusePositioningObjectBuilder.QuickCsysData
getset

Returns or sets the quick CSYS data

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.NXObject NXOpen.Tooling.ReusePositioningObjectBuilder.ReferenceCsysPattern
getset

Returns or sets the referenced CSYS pattern

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.RowNumber
getset

Returns or sets the row number of pattern

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.CoordinateSystem NXOpen.Tooling.ReusePositioningObjectBuilder.SeedDatumCsys
getset

Returns or sets the seed datum CSYS

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.SelectedCurve
getset

Returns or sets the flag of the selected curve

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Section NXOpen.Tooling.ReusePositioningObjectBuilder.SelectedCurveCollector
get

Returns the selected curve for non planar face

Created in NX12.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.SelectedNonPlanarFace
getset

Returns or sets the flag of the selected non-planar face

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Section NXOpen.Tooling.ReusePositioningObjectBuilder.SketchPoint
get

Returns the part sketch point section

Created in NX11.0.0

License requirements: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.StartingUValue
getset

Returns or sets the start U value of non planar face pattern

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.StartingVValue
getset

Returns or sets the start V value of non planar face pattern

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.ReusePositioningObjectBuilder.SubTypes NXOpen.Tooling.ReusePositioningObjectBuilder.SubType
getset

Returns or sets the positioning object sub type that is from pattern or imported data

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.TrimToFaceEdgesOption
get

Returns the trim option for curve option.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Tooling.ReusePositioningObjectBuilder.Types NXOpen.Tooling.ReusePositioningObjectBuilder.Type
getset

Returns or sets the positioning object type that is from pattern or imported data

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.UpdatedParameter
getset

Returns or sets the flag of updated parameter for non-planar curve

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.UPercentage
getset

Returns or sets the u percentage of non planar face pattern

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.UseFaceCenterAsLocation
getset

Returns or sets an option that indicates whether to use face center as location

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.UseOnePickPositionMethod
getset

Returns or sets the option specifying whether to use one-pick position method for drag/drop

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.ReusePositioningObjectBuilder.UseProjectPoint
getset

Returns or sets an option that indicates whether to use project point if associative point is not in the same plane as sketch

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.VPercentage
getset

Returns or sets the v percentage of non planar face pattern

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.ReusePositioningObjectBuilder.Width
getset

Returns or sets the width value of pattern

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.